:root {
    --bg: #F8F8F5;
    --header-bg: #F6FAFF;
    --logo-height: 3rem;
    --h1-font: 'Roboto Flex';
    --h1-weight: 500;
    --h1-size: 5.625rem;
    --h1-height: 6.125rem;
    --h2-font: 'Roboto Flex';
    --h2-weight: 500;
    --h2-color: #202023;
    --h2-size: 3.875rem;
    --h2-height: 4.375rem;
    --menu-font: 'Roboto Flex';
    --menu-weight: 400;
    --menu-color: #202023;
    --menu-size: 1rem;
    --menu-height: 1rem;
    --button-color: #202023;
    --button-bg: #fff;
    --button-border: 1px solid #6E6E6A;
    --button-radius: 0.5rem;
    --text-color: #4C4C4B;
    --text-weight: 400;
    --text-size: 1.5rem;
    --text-height: 2rem;
    --section-margin: 0 0 12.5rem;
}

* {
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

html {
    font-family: "Roboto Flex", Arial, sans-serif;
    font-size: 16px;
    font-weight: 500;
    line-height: normal;
    scroll-behavior: smooth;
}

html,
body {
    margin: 0;
    padding: 0;
}

#site {
    position: relative;
    width: 100vw;
    max-width: 100%;
    min-height: 100vh;
    overflow: hidden;
    background-color: var(--bg);
    display: flex;
    flex-direction: column;
    color: var(--text-color);
    font-weight: var(--text-weight);
    font-size: var(--text-size);
    line-height: var(--text-height);
}

a {
    text-decoration: none;
}

img {
    max-width: 100%;
    height: auto;
}

header {
    padding: 1rem 0;
    width: 100%;
    position: relative;
    z-index: 999;
    background-color: #F6FAFF;
}

main section {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity .5s, transform .5s;
    transition-delay: .2s;
}

main section.inView {
    transform: translateY(0);
    opacity: 1;
}

.wrapper {
    position: relative;
    width: 100%;
    max-width: 1440px;
    margin: 0 auto;
    padding: 0;
    z-index: 2;
}

.flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
}

.logo {
    height: var(--logo-height);
}

.logo img {
    width: auto;
    height: 100%;
}

nav {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

nav a {
    display: block;
    padding: 0.5rem 0.75rem;
    text-decoration: none;
    font-family: var(--menu-font);
    font-weight: var(--menu-weight);
    font-size: var(--menu-size);
    line-height: var(--menu-height);
    color: var(--menu-color);
}

nav a:hover {
    text-decoration: underline;
}

.mobile-nav-item,
.header-menu-button {
    display: none;
}

.header-button a {
    display: block;
    border: var(--button-border);
    background-color: var(--button-bg);
    border-radius: var(--button-radius);
    padding: 0.75rem 1.6875rem;
    color: #000;
    transition: opacity .3s;
}

.header-button a:hover {
    opacity: .7;
}

#hero {
    position: relative;
    overflow: hidden;
}

.hero-content {
    display: flex;
    position: relative;
    z-index: 2;
}

.hero-image {
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.hero-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hero-image::after {
    content: '';
    position: absolute;
    top: 0;
    right: -100vw;
    width: 60%;
    height: 100%;
    background: #FFFFFFCC;
    transition: .3s all;
    transition-delay: .2s;
}

.inView .hero-image::after {
    right: 0;
}

.hero-text {
    width: 60%;
    display: flex;
    flex-direction: column;
    gap: 4rem;
    padding: 10.3125rem 0 10.3125rem 4.5rem;
    margin-left: auto;
}

.hero-text h1 {
    font-family: var(--h1-font);
    font-weight: 700;
    font-size: 6.25rem;
    line-height: 6.75rem;
    color: var(--h2-color);
    margin: 0;
    transform: translateX(-5rem);
    opacity: 0;
    transition: transform .4s, opacity .4s;
    transition-delay: .3s;

}

.inView h1 {
    transform: translateX(0);
    opacity: 1;
}

.hero-supertitle {
    font-weight: 500;
    font-size: 2.5rem;
    line-height: 3rem;
    transform: translateX(-5rem);
    opacity: 0;
    transition: transform .4s, opacity .4s;
    transition-delay: .2s;
}

.inView .hero-supertitle {
    transform: translateX(0);
    opacity: 1;
}

.hero-description {
    font-family: var(--h1-font);
    font-weight: 500;
    font-size: 2.5rem;
    line-height: 3rem;
    transform: translateX(-5rem);
    opacity: 0;
    transition: transform .3s, opacity .3s;
    transition-delay: .6s;
}

.inView .hero-description {
    transform: translateX(0);
    opacity: 1;
}

.hero-more {
    display: flex;
}

.hero-more a {
    font-weight: 500;
    font-size: 1.3125rem;
    line-height: 100%;
    display: flex;
    align-items: center;
    gap: 1rem;
    background-color: var(--button-bg);
    color: var(--button-color);
    padding: 0.625rem 0.75rem 0.625rem 1.5rem;
    border-radius: var(--button-radius);
    border: var(--button-border);
    transition: opacity .7s;
}

.inView .hero-more {
    transform: translateY(0);
    opacity: 1;
}

.hero-more a:hover {
    opacity: .7;
}

.hero-drop {
    position: absolute;
    top: calc(100% + 3rem);
    right: 5rem;
    width: 42px;
    height: 60px;
    z-index: 1;
}

.hero-drop img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

section {
    margin: var(--section-margin);
}

section.section-highlight {
    overflow: hidden;
    border-radius: 18.75rem;
    background-color: #EDEAE3;
    border: 2.5rem #F2F1EC solid;
    padding: 8rem 0;
}

section h2 {
    margin: 0 0 5rem;
    font-family: var(--h2-font);
    font-weight: var(--h2-weight);
    font-size: var(--h2-size);
    line-height: var(--h2-height);
    color: var(--h2-color);
    transform: translateX(-3rem);
    opacity: 0.1;
    transition: transform .3s, opacity .3s;
    transition-delay: .3s;
}

section.inView h2 {
    transform: translateX(0);
    opacity: 1;
}

section h3 {
    font-weight: 400;
    font-size: 2.625rem;
    line-height: 3.125rem;
    color: var(--header);
    margin: 0 0 2rem;
}

section summary {
    font-weight: 400;
    font-size: 2.625rem;
    line-height: 3.125rem;
    color: var(--header);
    margin: 0 0 2rem;
}

section p {
    margin: 0 0 2rem;
}

section p:last-of-type {
    margin: 0;
}

section p strong {
    font-weight: 500;
    font-size: 2rem;
}

#about {
    position: relative;
}

.about-content {
    display: grid;
    grid-template-columns: 33% 67%;
}

.about-content-text {
    color: #565966;
    font-weight: 400;
    font-size: 1.5rem;
    line-height: 2rem;
}

.benefits-content {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 4rem 1.5rem;
}

.benefits-content-item img {
    margin-bottom: 1.5rem;
    width: 3.75rem;
}

.benefits-content-item h4 {
    color: var(--h2-color);
    font-size: 2rem;
    line-height: 2.5rem;
    margin: 0 0 .5rem;
}

#services ol {
    padding-left: 0;
    margin: 0;
    list-style: none;
    counter-reset: my-counter;
}

#services ol li {
    position: relative;
    margin: 0 0 3.875rem;
    padding-left: 4.0625rem;
    font-family: 'Rubik';
    font-size: 2rem;
    line-height: 2.5rem;
}

#services ol li::before {
    content: counter(my-counter);
    position: absolute;
    left: 0;
    top: 0;
    display: block;
    counter-increment: my-counter;
    font-family: 'Rubik';
    font-weight: 400;
    font-size: 1.3125rem;
    line-height: 1.3125rem;
    padding: 0.75rem;
    border-radius: 7.25rem;
    background-color: #F8F8F5;
    margin-right: 2rem;
}

.products-item {
    display: flex;
    gap: 5.625rem;
    align-items: center;
    margin-bottom: 7.5rem;
}

.products-item:last-child {
    margin-bottom: 0;
}

.products-item .products-img {
    width: 50%;
    flex-shrink: 0;
    border-radius: 0.75rem;
    overflow: hidden;
}

.products-item:nth-child(even) .products-img {
    order: 2;
}

.products-text {
    flex-grow: 1;
}

.ceo-name {
    font-weight: 500;
    font-size: 2rem;
    line-height: 2.5rem;
    margin-bottom: 0.75rem;
}

.ceo-position {
    font-weight: 500;
    font-size: 2.625rem;
    line-height: 3.125rem;
    margin-bottom: 2rem;
}

.faq-wrapper {
	display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1.25rem;
    margin-bottom: 15rem;
}


.faq-item {
    margin-bottom: 4.5rem;
}

.faq-item:last-child {
    margin-bottom: 0;
}

.faq-item h3 {
    font-weight: 500;
    font-size: 2rem;
    line-height: 2.5rem;
    margin-bottom: 1.25rem;
}

.faq-gallery {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1.25rem;
}

.faq-gallery-item {
    overflow: hidden;
    border-radius: 0.75rem;
}

.faq-gallery-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.terms-item {
    margin-bottom: 5rem;
}

.terms-item:last-child {
    margin-bottom: 0;
}

.terms-item img {
    width: 5rem;
    float: left;
    margin-right: 5rem;
    margin-bottom: 2rem;
}

.terms-item h4 {
    font-weight: 500;
    font-size: 2rem;
    line-height: 3.125rem;
    letter-spacing: 0.04rem;
    margin: 0 0 1.75rem;
}

/* .separator-content {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1.25rem;
} */

.separator-img img {
    display: block;
    border-radius: 0.75rem;
}

#contacts {
    position: relative;
    z-index: 1;
}

#contacts h2 {
    font-weight: 500;
    font-size: 3.875rem;
    line-height: 4.375rem;
}

.contacts-img {
    position: absolute;
    top: -7rem;
    right: 0;
    width: auto;
    height: 100%;
    z-index: -1;
}

.contact-text {
    font-weight: 400;
    font-size: 2rem;
    line-height: 2.5rem;
    margin: 2.625rem 0 4.875rem;
}

.contact-content-item {
    margin-bottom: 2.75rem;
}

.contact-content-item h3 {
    color: #202023;
    font-weight: 500;
    font-size: 2rem;
    line-height: 2.5rem;
    margin: 0 0 1.25rem;
}

.contact-content-item span {
    display: block;
    margin: 0 0 1.125rem;
}

.contact-content-item p {
    font-weight: 400;
    font-size: 1.5rem;
    line-height: 2rem;
    letter-spacing: 0%;
    margin: 1.25rem 0 0;
}

.contact-content-item a {
    text-decoration: underline;
    transition: color .3s;
    color: var(--header);
}

.contact-content-item a:hover {
    color: #DB0C0C;
}

footer {
    padding: 3rem 0 3.9375rem;
}

.footer-logo {
    height: 3.5625rem;
}

.footer-logo img {
    width: auto;
    height: 100%;
}

.footer-top,
.footer-bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.footer-top {
    margin-bottom: 3rem;
}

.footer-bottom {
    padding: 3rem 0;
    border-top: 1px #DDE1E6 solid;
}

.footer-bottom a {
    font-weight: 400;
    font-size: 0.875rem;
    line-height: 1.5rem;
    color: #C31618;
}

.footer-bottom a:hover {
    text-decoration: underline;
}

.copyright {
    font-weight: 400;
    font-size: 0.875rem;
    line-height: 1.5rem;
    color: #C31618;
}

#to-top {
    position: fixed;
    right: 1rem;
    bottom: -50rem;
    width: 32px;
    height: 32px;
    padding: 0;
    margin: 0;
    border: 2px solid #DDE1E6;
    border-radius: 50%;
    background: #fff;
    cursor: pointer;
    opacity: .5;
    transition: all .3s;
    z-index: 999;
}

#to-top.show {
    bottom: 1rem;
}

#to-top:hover {
    opacity: 1;
}

#to-top svg {
    fill: var(--header);
    width: 80%;
}

@media (max-width: 1600px) {
    section.section-highlight {
        border-radius: 5rem;
        padding: 1rem 0;
    }
}

@media (max-width: 1440px) {
    html{
        font-size: 14px;
    }
    .wrapper {
        padding-right: 2rem;
        padding-left: 2rem;
    }
    .hero-text{
        padding: 4rem 0 4rem 2.5rem;
    }
}

@media (max-width: 1280px) {

    .header-menu-button {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 42px;
        height: 42px;
        border: 0;
        padding: 0;
        border-radius: 0.5rem;
    }

    .header-menu-button span,
    .header-menu-button span:before,
    .header-menu-button span:after {
        display: block;
        width: 24px;
        height: 4px;
        border-radius: 2px;
        background: #000;
        transition: 0.3s;
    }

    .header-menu-button span {
        position: relative;
    }

    .header-menu-button span:before {
        content: "";
        position: absolute;
        bottom: 8px;
        left: 0;
    }

    .header-menu-button span:after {
        content: "";
        position: absolute;
        top: 8px;
        left: 0;
    }

    .header-menu-button.active span {
        background: transparent;
    }

    .header-menu-button.active span::before {
        bottom: 0;
        transform: rotate(45deg);
    }

    .header-menu-button.active span::after {
        top: 0;
        transform: rotate(-45deg);
    }

    #header-menu {
        position: absolute;
        flex-direction: column;
        top: 100%;
        right: 1rem;
        opacity: 0;
        overflow: hidden;
        height: 0;
        width: auto;
        min-width: 30vw;
        z-index: 9;
        background-color: #fff;
        box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.3);
        padding: 1em;
        border-radius: .5rem;
        transition: opacity .6s, height .3s;
        gap: 2rem;
    }

    #header-menu.active {
        opacity: 1;
        height: 35rem;
    }
    
    nav a{
        font-size: 2rem;
        line-height: 2rem;
    }

    .mobile-nav-item {
        display: block;
    }

    .footer-bottom,
    .footer-top {
        flex-direction: column;
        gap: 1rem;
    }

    .benefits-content {
        grid-template-columns: 1fr 1fr;
    }

    .faq-img {
        display: none;
    }

    .faq-content {
        width: 100%;
    }
    .hero-image::after{
        display: block;
        width: 80%;
    }
    .hero-text{
        width: 80%;
    }
    .faq-wrapper{
	display: block;
    }
}

@media (max-width: 940px) {
    html {
        font-size: 12px;
    }

    .hero-image::after{
        width: 100%;
        background: #FFFFFF70;
    }

    .hero-text{
        width: 100%;
        padding-left: 0;
    }

    .hero-description,
    .hero-supertitle{
        font-size: 2rem;
        line-height: 2.5rem;
    }

    .hero-text h1{
        font-size: 5rem;
        line-height: 5.5rem;
    }

    .products-item {
        gap: 2rem;
        align-items: start;
    }

    .products-item .products-img {
        width: 30%;
    }

    .terms-item {
        padding: 1rem;
        border-radius: 2rem;
    }

    footer {
        text-align: center;
    }

    footer nav {
        flex-wrap: wrap;
        justify-content: center;
    }

    section {
        margin: 0 0 8rem;
    }
    .faq-wrapper{
        margin-bottom: 5rem;
    }
    .terms-item img{
        float: none;
    }
    nav a{
        font-size: 2rem;
        line-height: 2.5rem;
    }
}

@media (max-width: 560px) {
    html {
        font-size: 10px;
    }

    .benefits-content,
    .about-content {
        grid-template-columns: 1fr;
    }

    .benefits-content-item {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    #header-menu {
        min-width: 45vw;
    }

    .header-button {
        display: none;
    }

    .hero-content {
        padding: 4rem 0 4rem;
    }

    .hero-text h1 {
        font-size: 4.625rem;
        line-height: 5.125rem;
    }
    .products-item{
        flex-direction: column;
    }
    .products-item .products-img {
        width: 100%;
        order: 1;
    }
    .products-text{
        order: 2;
    }
}

@media (max-width: 420px) {
    .header-button {
        display: none;
    }

    .products-item .products-img {
        order: 0 !important;
        width: 100%;
    }

    .products-item {
        flex-direction: column;
    }
}